byte receptor_id;
byte id_recebido;

void setup() 
{
  Serial1.begin(9600);
  Serial2.begin(9600);

  pinMode(LED_BUILTIN, OUTPUT);

  receptor_id = 1;
}

void loop() 
{
  if(Serial1.available())
  {
    id_recebido = Serial1.read();

    //Compara o ID recebido com o ID do receptor, se o ID recebido for o ID deste receptor
    //acende o led e envia o ID para o próximo receptor.
    //Caso não exista receptores com o mesmo ID, o próximo receptor irá apagar o led.
    if(id_recebido == receptor_id)
    {
      digitalWrite(LED_BUILTIN, HIGH);
      Serial2.write(id_recebido);
    }
    else
    {
      digitalWrite(LED_BUILTIN, LOW);
      Serial2.write(id_recebido);
    }
  }
}
